From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-abrmd/
Date: Wed, 26 Feb 2020 16:17:46 +0000 (UTC) [thread overview]
Message-ID: <1582733844.8ec5d5abc7348220772f7306bf51dc3d3519ac86.juippis@gentoo> (raw)
commit: 8ec5d5abc7348220772f7306bf51dc3d3519ac86
Author: Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 20 02:06:06 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:24 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ec5d5ab
app-crypt/tpm2-abrmd: Bump version to 2.3.1
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
app-crypt/tpm2-abrmd/Manifest | 1 +
app-crypt/tpm2-abrmd/tpm2-abrmd-2.3.1.ebuild | 51 ++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/app-crypt/tpm2-abrmd/Manifest b/app-crypt/tpm2-abrmd/Manifest
index d6514ef4745..de55f4dfed4 100644
--- a/app-crypt/tpm2-abrmd/Manifest
+++ b/app-crypt/tpm2-abrmd/Manifest
@@ -1 +1,2 @@
DIST tpm2-abrmd-2.1.1.tar.gz 561352 BLAKE2B 4106811b238fee7b503bf0afb4ed857371bab023d8e449d5864eebb2386779e2bc8fb0f2bf8e334ebd8d7abe5c569f2b2cc2ea60b07672b1d3294092e63c2a5a SHA512 d685812c26a097190ced5a9e8ceb1544eb9e3858606123644d5496031706af91e5ba9fb54eb371bcb4eed4d236617f7a21a49a792196db9c5ebf277582ac7124
+DIST tpm2-abrmd-2.3.1.tar.gz 566988 BLAKE2B 281c1288baaa07b93939219143f4ecc2420b353d04d751746b6e43c93e092d0facb3d0ddbc20129328666d69954dd16ea7e709fea99690af80b2c83e1ac855e4 SHA512 144ab2b147cd18f892f3c05181efdbed2ac422fe8507eb42871ffe571340b6395431743a4f1995a7ce7a914fd5e7afd2b17328062c893a0403708c2c4d92e0cb
diff --git a/app-crypt/tpm2-abrmd/tpm2-abrmd-2.3.1.ebuild b/app-crypt/tpm2-abrmd/tpm2-abrmd-2.3.1.ebuild
new file mode 100644
index 00000000000..53562b771fd
--- /dev/null
+++ b/app-crypt/tpm2-abrmd/tpm2-abrmd-2.3.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="TPM2 Access Broker & Resource Manager"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-abrmd"
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="acct-group/tss
+ acct-user/tss
+ sys-apps/dbus:=
+ dev-libs/glib:=
+ app-crypt/tpm2-tss:="
+DEPEND="${RDEPEND}
+ test? ( dev-util/cmocka )"
+BDEPEND="virtual/pkgconfig
+ dev-util/gdbus-codegen"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable test unit) \
+ --disable-defaultflags \
+ --with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d" \
+ --with-systemdpresetdir="$(systemd_get_systemunitdir)/../system-preset" \
+ --with-systemdpresetdisable \
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}
next reply other threads:[~2020-02-26 16:17 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-02-26 16:17 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-09-09 13:17 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-abrmd/ David Seifert
2023-06-03 17:25 Sam James
2023-06-03 17:25 Sam James
2023-06-03 17:25 Sam James
2023-06-03 17:25 Sam James
2023-06-03 17:25 Sam James
2023-04-28 7:44 Joonas Niilola
2023-03-31 11:49 Arthur Zamarin
2023-03-16 17:44 Arthur Zamarin
2023-02-20 23:28 Sam James
2023-02-20 20:41 Arthur Zamarin
2023-02-20 19:39 Arthur Zamarin
2022-12-22 18:32 Brian Evans
2022-12-21 23:37 Sam James
2022-12-21 23:37 Sam James
2022-09-27 21:44 Sam James
2022-05-20 9:17 Agostino Sarubbo
2022-05-19 9:27 Agostino Sarubbo
2022-05-17 12:38 Agostino Sarubbo
2022-05-17 12:37 Agostino Sarubbo
2022-05-17 9:58 Agostino Sarubbo
2022-04-23 21:34 Sam James
2022-03-17 3:51 Yixun Lan
2022-03-08 13:23 Sam James
2022-03-08 13:23 Sam James
2021-12-13 18:28 Arthur Zamarin
2021-12-13 0:06 Sam James
2021-12-13 0:06 Sam James
2021-09-24 7:46 Joonas Niilola
2021-04-25 8:00 Michał Górny
2021-02-18 9:36 Joonas Niilola
2021-02-18 9:36 Joonas Niilola
2021-02-18 9:36 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-02-26 16:17 Joonas Niilola
2020-02-23 18:37 Rick Farina
2019-12-21 15:06 Joonas Niilola
2019-12-08 8:41 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1582733844.8ec5d5abc7348220772f7306bf51dc3d3519ac86.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox